Bug 99520 - Installer hangs on low-memory system using kickstart
Installer hangs on low-memory system using kickstart
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-21 11:19 EDT by Bob Allison
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-22 11:25:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bob Allison 2003-07-21 11:19:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Machine in question is a Pentium 120 with 32MB of memory.

If I perform an interactive installation, the installer activates the swap
partition as soon as the partitioning is specified and the installation
completes normally.

When attempting a kickstart installation (NFS and HTTP), the swap partition is
not activated until after the dependency check.  On this system, the installer
runs out of memory while reading the comps.xml file (symptoms are constant
network traffic and hung VC2).  If I manually activate the swap partition from
VC2 as soon as the installer starts reading the comps file, things run fine
until the installer either tries to adjust the partition table (gives me the
option to ignore the error but causes an exception even if I select Ignore) or
tries to activate the swap partition.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Perform kickstart installation
2.
3.
    

Actual Results:  Installation hangs

Expected Results:  Installation successful

Additional info:
Comment 1 Jeremy Katz 2003-07-22 11:25:53 EDT
Installation on machines with 32 megs of memory is not supported.
Comment 2 Bob Allison 2003-07-22 11:40:52 EDT
Where is that documented?  When trying to look through the HCL and docs, I see
lots of information about needing a certain amount of disk space, but I see
nothing about minimum memory requirements.

Note You need to log in before you can comment on or make changes to this bug.